Subject: Re: bug#74146: ESHELL prompt shows incorrect working directory on a TRAMP remote host

From: Jim Porter <[email-masked]>
Date: Thu, 31 Oct 2024 17:39:48 -0700

On 10/31/2024 1:11 PM, dnym--- via Bug reports for GNU Emacs, the Swiss 
army knife of text editors wrote:
> 
> DESCRIPTION OF PROBLEM:
> 
> Running emacs -Q for emacs 29.4 (build 2, x86_64-w64-mingw32):
> 
> ~/.ssh $ cd /sshx:oracle-root:/
> /sshx:oracle-root:~/ $ pwd
> /sshx:oracle-root:/home/opc/
> /sshx:oracle-root:~/ $ /bin/pwd
> /
> 
> There should be no tilde before / on the second line and the `pwd`
> command (which is eshell's own `pwd` written in elisp) on the second
> line should not report .../home/opc/ but rather /sshx:oracle-root: like
> below.

Thanks for the report. This is an MS-Windows only issue, fixed in 
33997047e891d5513c4f33ab78ad353746ed16e2 on Emacs master (so version 31).

In the meantime though, you can customize 'eshell-pwd-convert-function' 
to avoid this mis-conversion; the 'identity' option should work. (I'm 
not actually sure why this has a different default value on MS-Windows 
vs other paltforms, but it's been that way for a long time so I'll just 
about opening that can of worms for now...)